#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_SeniorMonkeyFishCFGData
{
	//编号
	int mID;
	//鱼ID
	int mFishId;
	//最小分值
	int mMinimumScore;
	//最大分值
	int mMaximumScore;
	//权重
	int mweight;
};

class Fish_SeniorMonkeyFishCFG
{
public:
private:
	static std::auto_ptr<Fish_SeniorMonkeyFishCFG> msSingleton;
public:
	int GetCount();
	const Fish_SeniorMonkeyFishCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_SeniorMonkeyFishCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_SeniorMonkeyFishCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_SeniorMonkeyFishCFGData> mMapData;
};
